# -*- coding: utf-8 -*-
"""Module with display utitlies for the CLI."""
from __future__ import absolute_import
import click


def echo_calculation_results(node):
    """Display a formatted table of the outputs generated by the given calculation.

    :param node: a completed `CalcJobNode`
    """
    class_name = node.process_class.__name__
    click.echo('{}<{}> terminated with state: {}'.format(class_name, node.pk, node.process_state.value))
    click.echo('\n{link:25s} {node}'.format(link='Output link', node='Node pk and type'))
    click.echo('{s}'.format(s='-' * 60))
    for triple in sorted(node.get_outgoing().all(), key=lambda triple: triple.link_label):
        click.echo('{:25s} {}<{}> '.format(triple.link_label, triple.node.__class__.__name__, triple.node.pk))
